<div [matMenuTriggerFor]="menu"
     [solidifyDataTest]="dataTestEnum.linkUserMenu"
     class="avatar-wrapper"
>
  <solidify-avatar [photoUser]="photoUser"
                   [userInfo]="user"
  ></solidify-avatar>
  <solidify-icon [iconName]="iconNameEnum.down"
                 class="size-16 icon"
  ></solidify-icon>
</div>

<mat-menu #menu="matMenu">
  <button (click)="profileInfo()"
          (onEnter)="profileInfo()"
          [disabled]="!user"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="iconNameEnum.profile"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.profile | translate}}</span>
  </button>
  <ng-container *ngFor="let menu of listMenuAdmin">
    <a (click)="navigate(menu.path())"
       (onEnter)="navigate(menu.path())"
       [solidifyDataTest]="menu.dataTest"
       [routerLink]="menu.path()"
       mat-menu-item
       solidifyShortCuts
    >
      <solidify-icon [iconName]="menu.icon"
                     ngProjectAs="mat-icon"
      ></solidify-icon>
      <span>{{menu.labelToTranslate | translate}}</span>
    </a>
  </ng-container>
  <button (click)="openUserGuide()"
          (onEnter)="openUserGuide()"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="iconNameEnum.docUser"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.userGuide | translate}}</span>
  </button>
  <button (click)="displayToken()"
          (onEnter)="displayToken()"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="iconNameEnum.token"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.token | translate}}</span>
  </button>
  <button *ngIf="!isProduction || isDemoMode"
          [matMenuTriggerFor]="themeSelector.menu"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="iconNameEnum.theme"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.themes | translate}}</span>
  </button>
  <button [matMenuTriggerFor]="guidedTour.menu"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="iconNameEnum.guidedTour"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.guidedTour | translate}}</span>
  </button>
  <button (click)="toggleDarkMode()"
          (onEnter)="toggleDarkMode()"
          mat-menu-item
          solidifyShortCuts
  >
    <solidify-icon [iconName]="darkMode ? iconNameEnum.lightMode : iconNameEnum.darkMode"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{(darkMode ? labelTranslateEnum.lightMode : labelTranslateEnum.darkMode) | translate}}</span>
  </button>
  <button (click)="logout()"
          mat-menu-item
  >
    <solidify-icon [iconName]="iconNameEnum.logout"
                   ngProjectAs="mat-icon"
    ></solidify-icon>
    <span>{{labelTranslateEnum.logout | translate}}</span>
  </button>
</mat-menu>

<solidify-theme-selector-menu #themeSelector="menuTheme"
                              [(theme)]="theme"
></solidify-theme-selector-menu>

<dlcm-guided-tour-menu #guidedTour="menuGuidedTour"></dlcm-guided-tour-menu>
